commit:     91c016d4827a002599c2bc83d2c51aea0d4024bb
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 11 20:14:27 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Feb 11 20:56:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91c016d4

dev-util/gdbus-codegen: Version bump to 2.70.4

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/gdbus-codegen/Manifest                    |  1 +
 dev-util/gdbus-codegen/gdbus-codegen-2.70.4.ebuild | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-util/gdbus-codegen/Manifest b/dev-util/gdbus-codegen/Manifest
index 396586df4c65..9d0e282ece4c 100644
--- a/dev-util/gdbus-codegen/Manifest
+++ b/dev-util/gdbus-codegen/Manifest
@@ -1,2 +1,3 @@
 DIST glib-2.70.2.tar.xz 4822356 BLAKE2B 
63b1f4e05f26cd51c3345bb042e2175ebcdb22afa3fef85bccae530581a378070e6c7ea48eb957bcc73142ea228ddb70bdac2679ca2f81155a668560397aaa37
 SHA512 
872e3f06f87f21a32446b41aac7454fd6bf4d665c753121f6e9772cddebc592b79d88713fc6b8d510636af9f9c4528a9d508d8c4225c6dfeb928390120fb4809
 DIST glib-2.70.3.tar.xz 4824700 BLAKE2B 
ba84333b3ad27c0092ebd8bfe31a522d30ef8b18e7483123da6e353bb572f8a58307e23758e93ac95eb781b4d5ff86f20d84eedc1ac6e72af85822f2891bcea0
 SHA512 
d0e58ea71575e30707b6eda0a5231bc9bd202bcd7a0293fed9e378252a9e430e219b82cd8a12eaab41bb0a0605bb9f3a1cdb8db6766cd42bac8ca9bd9885b80a
+DIST glib-2.70.4.tar.xz 4824296 BLAKE2B 
10e472672bfa20cadad01a9c22d01f2363c3033a234f4abe939c30a86e22621ffe9f8bec8031f43b18cc8c07a1ddfa05631979641d8dab88ae7b42345b2a3cde
 SHA512 
e0fa19ef7c2ee48d94fb15074e4e58ecd23b288cfa7bb92ca72d3e337dade80c675595f05b26c10d351a0167f6b273656aef3686d44708121a8861b16b7635c0

diff --git a/dev-util/gdbus-codegen/gdbus-codegen-2.70.4.ebuild 
b/dev-util/gdbus-codegen/gdbus-codegen-2.70.4.ebuild
new file mode 100644
index 000000000000..672168a9fcce
--- /dev/null
+++ b/dev-util/gdbus-codegen/gdbus-codegen-2.70.4.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+GNOME_ORG_MODULE="glib"
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="xml"
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit gnome.org distutils-r1
+
+DESCRIPTION="GDBus code and documentation generator"
+HOMEPAGE="https://www.gtk.org/";
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-libs/libxslt
+       app-text/docbook-xsl-stylesheets
+"
+
+S="${WORKDIR}/glib-${PV}/gio/gdbus-2.0/codegen"
+
+python_prepare_all() {
+       PATCHES=(
+               "${FILESDIR}/${PN}-2.56.1-sitedir.patch"
+       )
+       distutils-r1_python_prepare_all
+
+       local MAJOR_VERSION=$(ver_cut 1)
+       local MINOR_VERSION=$(ver_cut 2)
+       sed -e 's:@PYTHON@:python:' gdbus-codegen.in > gdbus-codegen || die
+       sed -e "s:@VERSION@:${PV}:" \
+               -e "s:@MAJOR_VERSION@:${MAJOR_VERSION}:" \
+               -e "s:@MINOR_VERSION@:${MINOR_VERSION}:" config.py.in > 
config.py || die
+       cp "${FILESDIR}/setup.py-2.32.4" setup.py || die "cp failed"
+       sed -e "s/@PV@/${PV}/" -i setup.py || die "sed setup.py failed"
+}
+
+do_xsltproc_command() {
+       # Taken from meson.build for manual manpage building - keep in sync 
(also copied to dev-util/glib-utils)
+       xsltproc \
+               --nonet \
+               --stringparam man.output.quietly 1 \
+               --stringparam funcsynopsis.style ansi \
+               --stringparam man.th.extra1.suppress 1 \
+               --stringparam man.authors.section.enabled 0 \
+               --stringparam man.copyright.section.enabled 0 \
+               -o "${2}" \
+               
http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
+               "${1}" || die "manpage generation failed"
+}
+
+src_compile() {
+       distutils-r1_src_compile
+       do_xsltproc_command 
"${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.xml" 
"${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}
+
+src_test() {
+       einfo "Skipping tests. This package is tested by dev-libs/glib"
+       einfo "when merged with FEATURES=test"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all # no-op, but prevents QA warning
+       doman "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}

Reply via email to